CfnAutomationRule

class aws_cdk.aws_computeoptimizer.CfnAutomationRule(scope, id, *, name, recommended_action_types, rule_type, schedule, status, criteria=None, description=None, organization_configuration=None, priority=None, tags=None)

Bases: CfnResource

Creates an AWS Compute Optimizer automation rule that automatically implements recommended actions based on your defined criteria and schedule.

Automation rules are global resources that manage automated actions across all AWS Regions where Compute Optimizer Automation is available. Organization-level rules can only be created by the management account or delegated administrator.

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-computeoptimizer-automationrule.html

CloudformationResource:

AWS::ComputeOptimizer::AutomationRule

ExampleMetadata:

fixture=_generated

Example:

from aws_cdk import CfnTag
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_computeoptimizer as computeoptimizer

cfn_automation_rule = computeoptimizer.CfnAutomationRule(self, "MyCfnAutomationRule",
    name="name",
    recommended_action_types=["recommendedActionTypes"],
    rule_type="ruleType",
    schedule=computeoptimizer.CfnAutomationRule.ScheduleProperty(
        execution_window_in_minutes=123,
        schedule_expression="scheduleExpression",
        schedule_expression_timezone="scheduleExpressionTimezone"
    ),
    status="status",

    # the properties below are optional
    criteria=computeoptimizer.CfnAutomationRule.CriteriaProperty(
        ebs_volume_size_in_gib=[computeoptimizer.CfnAutomationRule.IntegerCriteriaConditionProperty(
            comparison="comparison",
            values=[123]
        )],
        ebs_volume_type=[computeoptimizer.CfnAutomationRule.StringCriteriaConditionProperty(
            comparison="comparison",
            values=["values"]
        )],
        estimated_monthly_savings=[computeoptimizer.CfnAutomationRule.DoubleCriteriaConditionProperty(
            comparison="comparison",
            values=[123]
        )],
        look_back_period_in_days=[computeoptimizer.CfnAutomationRule.IntegerCriteriaConditionProperty(
            comparison="comparison",
            values=[123]
        )],
        region=[computeoptimizer.CfnAutomationRule.StringCriteriaConditionProperty(
            comparison="comparison",
            values=["values"]
        )],
        resource_arn=[computeoptimizer.CfnAutomationRule.StringCriteriaConditionProperty(
            comparison="comparison",
            values=["values"]
        )],
        resource_tag=[computeoptimizer.CfnAutomationRule.ResourceTagsCriteriaConditionProperty(
            comparison="comparison",
            key="key",
            values=["values"]
        )],
        restart_needed=[computeoptimizer.CfnAutomationRule.StringCriteriaConditionProperty(
            comparison="comparison",
            values=["values"]
        )]
    ),
    description="description",
    organization_configuration=computeoptimizer.CfnAutomationRule.OrganizationConfigurationProperty(
        account_ids=["accountIds"],
        rule_apply_order="ruleApplyOrder"
    ),
    priority="priority",
    tags=[CfnTag(
        key="key",
        value="value"
    )]
)

Create a new AWS::ComputeOptimizer::AutomationRule.

Parameters:
  • scope (Construct) – Scope in which this resource is defined.

  • id (str) – Construct identifier for this resource (unique in its scope).

  • name (str) – The name of the automation rule.

  • recommended_action_types (Sequence[str]) – The types of recommended actions this rule will implement.

  • rule_type (str) – The type of automation rule.

  • schedule (Union[IResolvable, ScheduleProperty, Dict[str, Any]])

  • status (str) – The status of the automation rule.

  • criteria (Union[IResolvable, CriteriaProperty, Dict[str, Any], None])

  • description (Optional[str]) – The description of the automation rule.

  • organization_configuration (Union[IResolvable, OrganizationConfigurationProperty, Dict[str, Any], None])

  • priority (Optional[str]) – Rule priority within its group.

  • tags (Optional[Sequence[Union[CfnTag, Dict[str, Any]]]]) – Tags associated with the automation rule.

Methods

add_deletion_override(path)

Syntactic sugar for addOverride(path, undefined).

Parameters:

path (str) – The path of the value to delete.

Return type:

None

add_dependency(target)

Indicates that this resource depends on another resource and cannot be provisioned unless the other resource has been successfully provisioned.

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

Parameters:

target (CfnResource)

Return type:

None

add_depends_on(target)

(deprecated) Indicates that this resource depends on another resource and cannot be provisioned unless the other resource has been successfully provisioned.

Parameters:

target (CfnResource)

Deprecated:

use addDependency

Stability:

deprecated

Return type:

None

add_metadata(key, value)

Add a value to the CloudFormation Resource Metadata.

Parameters:
  • key (str)

  • value (Any)

See:

Return type:

None

https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/metadata-section-structure.html

Note that this is a different set of metadata from CDK node metadata; this metadata ends up in the stack template under the resource, whereas CDK node metadata ends up in the Cloud Assembly.

add_override(path, value)

Adds an override to the synthesized CloudFormation resource.

To add a property override, either use addPropertyOverride or prefix path with “Properties.” (i.e. Properties.TopicName).

If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.

To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.

For example:

cfn_resource.add_override("Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes", ["myattribute"])
cfn_resource.add_override("Properties.GlobalSecondaryIndexes.1.ProjectionType", "INCLUDE")

would add the overrides Example:

"Properties": {
  "GlobalSecondaryIndexes": [
    {
      "Projection": {
        "NonKeyAttributes": [ "myattribute" ]
        ...
      }
      ...
    },
    {
      "ProjectionType": "INCLUDE"
      ...
    },
  ]
  ...
}

The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.

Parameters:
  • path (str) –

    • The path of the property, you can use dot notation to override values in complex types. Any intermediate keys will be created as needed.

  • value (Any) –

    • The value. Could be primitive or complex.

Return type:

None

add_property_deletion_override(property_path)

Adds an override that deletes the value of a property from the resource definition.

Parameters:

property_path (str) – The path to the property.

Return type:

None

add_property_override(property_path, value)

Adds an override to a resource property.

Syntactic sugar for addOverride("Properties.<...>", value).

Parameters:
  • property_path (str) – The path of the property.

  • value (Any) – The value.

Return type:

None

apply_removal_policy(policy=None, *, apply_to_update_replace_policy=None, default=None)

Sets the deletion policy of the resource based on the removal policy specified.

The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you’ve removed it from the CDK application or because you’ve made a change that requires the resource to be replaced.

The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:

Parameters:
  • policy (Optional[RemovalPolicy])

  • apply_to_update_replace_policy (Optional[bool]) – Apply the same deletion policy to the resource’s “UpdateReplacePolicy”. Default: true

  • default (Optional[RemovalPolicy]) – The default policy to apply in case the removal policy is not defined. Default: - Default value is resource specific. To determine the default value for a resource, please consult that specific resource’s documentation.

See:

https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-attribute-deletionpolicy.html#aws-attribute-deletionpolicy-options

Return type:

None

get_att(attribute_name, type_hint=None)

Returns a token for an runtime attribute of this resource.

Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.

Parameters:
  • attribute_name (str) – The name of the attribute.

  • type_hint (Optional[ResolutionTypeHint])

Return type:

Reference

get_metadata(key)

Retrieve a value value from the CloudFormation Resource Metadata.

Parameters:

key (str)

See:

Return type:

Any

https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/metadata-section-structure.html

Note that this is a different set of metadata from CDK node metadata; this metadata ends up in the stack template under the resource, whereas CDK node metadata ends up in the Cloud Assembly.

inspect(inspector)

Examines the CloudFormation resource and discloses attributes.

Parameters:

inspector (TreeInspector) – tree inspector to collect and process attributes.

Return type:

None

obtain_dependencies()

Retrieves an array of resources this resource depends on.

This assembles dependencies on resources across stacks (including nested stacks) automatically.

Return type:

List[Union[Stack, CfnResource]]

obtain_resource_dependencies()

Get a shallow copy of dependencies between this resource and other resources in the same stack.

Return type:

List[CfnResource]

override_logical_id(new_logical_id)

Overrides the auto-generated logical ID with a specific ID.

Parameters:

new_logical_id (str) – The new logical ID to use for this stack element.

Return type:

None

remove_dependency(target)

Indicates that this resource no longer depends on another resource.

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

Parameters:

target (CfnResource)

Return type:

None

replace_dependency(target, new_target)

Replaces one dependency with another.

Parameters:
Return type:

None

to_string()

Returns a string representation of this construct.

Return type:

str

Returns:

a string representation of this resource

with_(*mixins)

Applies one or more mixins to this construct.

Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.

Parameters:

mixins (IMixin)

Return type:

IConstruct

Attributes

CFN_RESOURCE_TYPE_NAME = 'AWS::ComputeOptimizer::AutomationRule'
attr_account_id

The AWS account ID that owns the automation rule.

CloudformationAttribute:

AccountId

attr_created_timestamp

The timestamp when the automation rule was created.

CloudformationAttribute:

CreatedTimestamp

attr_last_updated_timestamp

The timestamp when the automation rule was last updated.

CloudformationAttribute:

LastUpdatedTimestamp

attr_rule_arn

The Amazon Resource Name (ARN) of the automation rule.

CloudformationAttribute:

RuleArn

attr_rule_id

The unique identifier of the automation rule.

CloudformationAttribute:

RuleId

attr_rule_revision

The revision number of the automation rule.

CloudformationAttribute:

RuleRevision

automation_rule_ref

A reference to a AutomationRule resource.

cdk_tag_manager

Tag Manager which manages the tags for this resource.

cfn_options

Options for this resource, such as condition, update policy etc.

cfn_resource_type

AWS resource type.

creation_stack

return:

the stack trace of the point where this Resource was created from, sourced from the +metadata+ entry typed +aws:cdk:logicalId+, and with the bottom-most node +internal+ entries filtered.

criteria
description

The description of the automation rule.

env
logical_id

The logical ID for this CloudFormation stack element.

The logical ID of the element is calculated from the path of the resource node in the construct tree.

To override this value, use overrideLogicalId(newLogicalId).

Returns:

the logical ID as a stringified token. This value will only get resolved during synthesis.

name

The name of the automation rule.

node

The tree node.

organization_configuration
priority

Rule priority within its group.

recommended_action_types

The types of recommended actions this rule will implement.

ref

Return a string that will be resolved to a CloudFormation { Ref } for this element.

If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).

rule_type

The type of automation rule.

schedule
stack

The stack in which this element is defined.

CfnElements must be defined within a stack scope (directly or indirectly).

status

The status of the automation rule.

tags

Tags associated with the automation rule.

Static Methods

classmethod is_cfn_automation_rule(x)

Checks whether the given object is a CfnAutomationRule.

Parameters:

x (Any)

Return type:

bool

classmethod is_cfn_element(x)

Returns true if a construct is a stack element (i.e. part of the synthesized cloudformation template).

Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.

Parameters:

x (Any)

Return type:

bool

Returns:

The construct as a stack element or undefined if it is not a stack element.

classmethod is_cfn_resource(x)

Check whether the given object is a CfnResource.

Parameters:

x (Any)

Return type:

bool

classmethod is_construct(x)

Checks if x is a construct.

Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.

Parameters:

x (Any) – Any object.

Return type:

bool

Returns:

true if x is an object created from a class which extends Construct.

CriteriaProperty

class CfnAutomationRule.CriteriaProperty(*, ebs_volume_size_in_gib=None, ebs_volume_type=None, estimated_monthly_savings=None, look_back_period_in_days=None, region=None, resource_arn=None, resource_tag=None, restart_needed=None)

Bases: object

Parameters:
See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-criteria.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_computeoptimizer as computeoptimizer

criteria_property = computeoptimizer.CfnAutomationRule.CriteriaProperty(
    ebs_volume_size_in_gib=[computeoptimizer.CfnAutomationRule.IntegerCriteriaConditionProperty(
        comparison="comparison",
        values=[123]
    )],
    ebs_volume_type=[computeoptimizer.CfnAutomationRule.StringCriteriaConditionProperty(
        comparison="comparison",
        values=["values"]
    )],
    estimated_monthly_savings=[computeoptimizer.CfnAutomationRule.DoubleCriteriaConditionProperty(
        comparison="comparison",
        values=[123]
    )],
    look_back_period_in_days=[computeoptimizer.CfnAutomationRule.IntegerCriteriaConditionProperty(
        comparison="comparison",
        values=[123]
    )],
    region=[computeoptimizer.CfnAutomationRule.StringCriteriaConditionProperty(
        comparison="comparison",
        values=["values"]
    )],
    resource_arn=[computeoptimizer.CfnAutomationRule.StringCriteriaConditionProperty(
        comparison="comparison",
        values=["values"]
    )],
    resource_tag=[computeoptimizer.CfnAutomationRule.ResourceTagsCriteriaConditionProperty(
        comparison="comparison",
        key="key",
        values=["values"]
    )],
    restart_needed=[computeoptimizer.CfnAutomationRule.StringCriteriaConditionProperty(
        comparison="comparison",
        values=["values"]
    )]
)

Attributes

ebs_volume_size_in_gib

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-criteria.html#cfn-computeoptimizer-automationrule-criteria-ebsvolumesizeingib

Type:

see

ebs_volume_type

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-criteria.html#cfn-computeoptimizer-automationrule-criteria-ebsvolumetype

Type:

see

estimated_monthly_savings

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-criteria.html#cfn-computeoptimizer-automationrule-criteria-estimatedmonthlysavings

Type:

see

look_back_period_in_days

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-criteria.html#cfn-computeoptimizer-automationrule-criteria-lookbackperiodindays

Type:

see

region

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-criteria.html#cfn-computeoptimizer-automationrule-criteria-region

Type:

see

resource_arn

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-criteria.html#cfn-computeoptimizer-automationrule-criteria-resourcearn

Type:

see

resource_tag

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-criteria.html#cfn-computeoptimizer-automationrule-criteria-resourcetag

Type:

see

restart_needed

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-criteria.html#cfn-computeoptimizer-automationrule-criteria-restartneeded

Type:

see

DoubleCriteriaConditionProperty

class CfnAutomationRule.DoubleCriteriaConditionProperty(*, comparison=None, values=None)

Bases: object

Parameters:
  • comparison (Optional[str])

  • values (Union[Sequence[Union[int, float]], IResolvable, None])

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-doublecriteriacondition.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_computeoptimizer as computeoptimizer

double_criteria_condition_property = computeoptimizer.CfnAutomationRule.DoubleCriteriaConditionProperty(
    comparison="comparison",
    values=[123]
)

Attributes

comparison

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-doublecriteriacondition.html#cfn-computeoptimizer-automationrule-doublecriteriacondition-comparison

Type:

see

values

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-doublecriteriacondition.html#cfn-computeoptimizer-automationrule-doublecriteriacondition-values

Type:

see

IntegerCriteriaConditionProperty

class CfnAutomationRule.IntegerCriteriaConditionProperty(*, comparison=None, values=None)

Bases: object

Parameters:
  • comparison (Optional[str])

  • values (Union[Sequence[Union[int, float]], IResolvable, None])

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-integercriteriacondition.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_computeoptimizer as computeoptimizer

integer_criteria_condition_property = computeoptimizer.CfnAutomationRule.IntegerCriteriaConditionProperty(
    comparison="comparison",
    values=[123]
)

Attributes

comparison

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-integercriteriacondition.html#cfn-computeoptimizer-automationrule-integercriteriacondition-comparison

Type:

see

values

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-integercriteriacondition.html#cfn-computeoptimizer-automationrule-integercriteriacondition-values

Type:

see

OrganizationConfigurationProperty

class CfnAutomationRule.OrganizationConfigurationProperty(*, account_ids=None, rule_apply_order=None)

Bases: object

Parameters:
  • account_ids (Optional[Sequence[str]]) – List of account IDs where the organization rule applies.

  • rule_apply_order (Optional[str]) – When the rule should be applied relative to account rules.

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-organizationconfiguration.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_computeoptimizer as computeoptimizer

organization_configuration_property = computeoptimizer.CfnAutomationRule.OrganizationConfigurationProperty(
    account_ids=["accountIds"],
    rule_apply_order="ruleApplyOrder"
)

Attributes

account_ids

List of account IDs where the organization rule applies.

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-organizationconfiguration.html#cfn-computeoptimizer-automationrule-organizationconfiguration-accountids

rule_apply_order

When the rule should be applied relative to account rules.

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-organizationconfiguration.html#cfn-computeoptimizer-automationrule-organizationconfiguration-ruleapplyorder

ResourceTagsCriteriaConditionProperty

class CfnAutomationRule.ResourceTagsCriteriaConditionProperty(*, comparison=None, key=None, values=None)

Bases: object

Parameters:
  • comparison (Optional[str])

  • key (Optional[str])

  • values (Optional[Sequence[str]])

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-resourcetagscriteriacondition.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_computeoptimizer as computeoptimizer

resource_tags_criteria_condition_property = computeoptimizer.CfnAutomationRule.ResourceTagsCriteriaConditionProperty(
    comparison="comparison",
    key="key",
    values=["values"]
)

Attributes

comparison

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-resourcetagscriteriacondition.html#cfn-computeoptimizer-automationrule-resourcetagscriteriacondition-comparison

Type:

see

key

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-resourcetagscriteriacondition.html#cfn-computeoptimizer-automationrule-resourcetagscriteriacondition-key

Type:

see

values

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-resourcetagscriteriacondition.html#cfn-computeoptimizer-automationrule-resourcetagscriteriacondition-values

Type:

see

ScheduleProperty

class CfnAutomationRule.ScheduleProperty(*, execution_window_in_minutes=None, schedule_expression=None, schedule_expression_timezone=None)

Bases: object

Parameters:
  • execution_window_in_minutes (Union[int, float, None]) – Execution window duration in minutes.

  • schedule_expression (Optional[str]) – Schedule expression (e.g., cron or rate expression).

  • schedule_expression_timezone (Optional[str]) – IANA timezone identifier.

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-schedule.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_computeoptimizer as computeoptimizer

schedule_property = computeoptimizer.CfnAutomationRule.ScheduleProperty(
    execution_window_in_minutes=123,
    schedule_expression="scheduleExpression",
    schedule_expression_timezone="scheduleExpressionTimezone"
)

Attributes

execution_window_in_minutes

Execution window duration in minutes.

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-schedule.html#cfn-computeoptimizer-automationrule-schedule-executionwindowinminutes

schedule_expression

Schedule expression (e.g., cron or rate expression).

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-schedule.html#cfn-computeoptimizer-automationrule-schedule-scheduleexpression

schedule_expression_timezone

IANA timezone identifier.

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-schedule.html#cfn-computeoptimizer-automationrule-schedule-scheduleexpressiontimezone

StringCriteriaConditionProperty

class CfnAutomationRule.StringCriteriaConditionProperty(*, comparison=None, values=None)

Bases: object

Parameters:
  • comparison (Optional[str])

  • values (Optional[Sequence[str]])

See:

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-stringcriteriacondition.html

ExampleMetadata:

fixture=_generated

Example:

# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_computeoptimizer as computeoptimizer

string_criteria_condition_property = computeoptimizer.CfnAutomationRule.StringCriteriaConditionProperty(
    comparison="comparison",
    values=["values"]
)

Attributes

comparison

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-stringcriteriacondition.html#cfn-computeoptimizer-automationrule-stringcriteriacondition-comparison

Type:

see

values

http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-computeoptimizer-automationrule-stringcriteriacondition.html#cfn-computeoptimizer-automationrule-stringcriteriacondition-values

Type:

see